org.richfaces.fragment.pickList

## Class RichFacesPickList

- java.lang.Object
- - org.richfaces.fragment.pickList.RichFacesPickList

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesPickList.AdvancedPickListInteractions>, AdvancedVisibleComponentIteractions<RichFacesPickList.AdvancedPickListInteractions>, PickList

      public class RichFacesPickList
      extends Object
      implements PickList, AdvancedVisibleComponentIteractions<RichFacesPickList.AdvancedPickListInteractions>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesPickList.AdvancedPickListInteractions`
    `static class` | `RichFacesPickList.OrderingListInPickList`
    `static class` | `RichFacesPickList.SelectableListImpl`
    `static class` | `RichFacesPickList.SelectableListItemImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPickList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PickList` | `add(ChoicePicker picker)` Picks and adds value from source list to target list.
    `PickList` | `add(int index)` Picks and adds value from source list to target list.
    `PickList` | `add(String match)` Picks and adds value from source list to target list.
    `PickList` | `addAll()` Picks and adds all values from source list to target list.
    `PickList` | `addMultiple(MultipleChoicePicker picker)` Picks and adds multiple values from source list to target list.
    `RichFacesPickList.AdvancedPickListInteractions` | `advanced()`
    `PickList` | `remove(ChoicePicker picker)` Removes the value from target list back to the source list.
    `PickList` | `remove(int index)` Removes the value from target list back to the source list.
    `PickList` | `remove(String match)` Removes the value from target list back to the source list.
    `PickList` | `removeAll()` Removes all values from target list back to the source list.
    `PickList` | `removeMultiple(MultipleChoicePicker picker)` Picks and removes multiple values from target list back to source list.
    `protected void` | `unselectAll(List<org.openqa.selenium.WebElement> list)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesPickList

          public RichFacesPickList()

  - ### Method Detail

    - #### advanced

          public RichFacesPickList.AdvancedPickListInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesPickList.AdvancedPickListInteractions>`

    - #### add

          public PickList add(ChoicePicker picker)

      Description copied from interface: `PickList`
      Picks and adds value from source list to target list.
      Specified by:
        `add` in interface `PickList`
      Parameters:
        `picker` - object which defines rules to pick the value
      Returns:
        the pickList itself

    - #### add

          public PickList add(String match)

      Description copied from interface: `PickList`
      Picks and adds value from source list to target list.
      Specified by:
        `add` in interface `PickList`
      Parameters:
        `match` - the textual representation of the value which should be picked and added to target list
      Returns:
        the pickList itself

    - #### add

          public PickList add(int index)

      Description copied from interface: `PickList`
      Picks and adds value from source list to target list.
      Specified by:
        `add` in interface `PickList`
      Parameters:
        `index` - index of the value which should be picked and added to target list
      Returns:
        the pickList itself

    - #### addMultiple

          public PickList addMultiple(MultipleChoicePicker picker)

      Description copied from interface: `PickList`
      Picks and adds multiple values from source list to target list.
      Specified by:
        `addMultiple` in interface `PickList`
      Parameters:
        `picker` - defines rules to pick the multiple values and add them to the target list
      Returns:
        the pickList itself

    - #### addAll

          public PickList addAll()

      Description copied from interface: `PickList`
      Picks and adds all values from source list to target list.
      Specified by:
        `addAll` in interface `PickList`
      Returns:
        the pickList itself

    - #### remove

          public PickList remove(ChoicePicker picker)

      Description copied from interface: `PickList`
      Removes the value from target list back to the source list.
      Specified by:
        `remove` in interface `PickList`
      Parameters:
        `picker` - object which defines rules to pick the value
      Returns:
        the pickList itself

    - #### remove

          public PickList remove(String match)

      Description copied from interface: `PickList`
      Removes the value from target list back to the source list.
      Specified by:
        `remove` in interface `PickList`
      Parameters:
        `match` - the textual representation of the value which should be picked and removed from target list back to the source list
      Returns:
        the pickList itself

    - #### remove

          public PickList remove(int index)

      Description copied from interface: `PickList`
      Removes the value from target list back to the source list.
      Specified by:
        `remove` in interface `PickList`
      Parameters:
        `index` - index of the value which should be picked and removed from target list back to the source list
      Returns:
        the pickList itself

    - #### removeMultiple

          public PickList removeMultiple(MultipleChoicePicker picker)

      Description copied from interface: `PickList`
      Picks and removes multiple values from target list back to source list.
      Specified by:
        `removeMultiple` in interface `PickList`
      Parameters:
        `picker` - defines rules to pick the multiple values and remove them from target list back to the source list
      Returns:
        the pickList itself

    - #### removeAll

          public PickList removeAll()

      Description copied from interface: `PickList`
      Removes all values from target list back to the source list.
      Specified by:
        `removeAll` in interface `PickList`
      Returns:
        the pickList itself

    - #### unselectAll

          protected void unselectAll(List<org.openqa.selenium.WebElement> list)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.